c_dspnt2s(3NCARG)

NAME
c_dspnt2s - Interpolate at a single point (or points) in 2D in single precision

FUNCTION PROTOTYPE
void c_dspnt2s(int, float [], float [], float [],
               int, float [], float [], float *, int *);

SYNOPSIS
void c_dspnt2s (int n, float x[], float y[], float z[],
                int m, float xo[], float yo[], float zo, int *ier);

DESCRIPTION

n   The number of input data points.

x   An array containing the X coordinates of the input data points.

y   An array containing the Y coordinates of the input data points.

z   An array containing the functional values of the input data points. That is, z[l] is the value of the input function at coordinate (x[l],y[l]), for 0 <= l < n .

m   The number of output data points (this may be "1").

xo  An array of dimension m containing the X coordinates of the output data. The values in xo may be in any order.

yo  An array of dimension m containing the Y coordinates of the output data. The values in xo may be in any order.

zo  A pointer to a float. Space for m floats is allocated for zo by dspnt2s. zo[i] is the interpolated value at point (xo[i],yo[i]) for 0 <= i < n .

ier An error return value. If *ier is returned as 0, then no errors were detected. If *ier is non-zero, then refer to the man page for dsgrid_errors.

USAGE
This function is called when you want to interpolate 2D data at an individual point or points.

ACCESS
To use c_dspnt2s, load the NCAR Graphics library ngmath.

SEE ALSO
dsgrid, dsgrid_params.

Complete documentation for Dsgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/dsgrid/dshome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.